<?php
/**
 * CDID
 *
 * @package       CDID
 * @author        ProiTs FZ LLC
 * @license       gplv2
 * @version       1.0.0
 *
 * @wordpress-plugin
 * Plugin Name:   CDID - Corporates Digital ID
 * Plugin URI:    https://cdid.online/
 * Description:   Your Official Corporate Digital Identity - CDID Rank
 * Version:       1.0.0
 * Author:        ProiTs FZ LLC
 * Author URI:    https://proits.ae/
 * Text Domain:   CDID
 * Domain Path:   /languages
 * License:       GPLv2
 * License URI:   https://www.gnu.org/licenses/gpl-2.0.html
 *
 * You should have received a copy of the GNU General Public License
 * along with CDID. If not, see <https://www.gnu.org/licenses/gpl-2.0.html/>.
 */

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) exit;
// Plugin name
define( 'CDID_NAME',			'CDID' );

// Plugin version
define( 'CDID_VERSION',		'1.0.0' );

// Plugin Root File
define( 'CDID_PLUGIN_FILE',	__FILE__ );

// Plugin base
define( 'CDID_PLUGIN_BASE',	plugin_basename( CDID_PLUGIN_FILE ) );

// Plugin Folder Path
define( 'CDID_PLUGIN_DIR',	plugin_dir_path( CDID_PLUGIN_FILE ) );

// Plugin Folder URL
define( 'CDID_PLUGIN_URL',	plugin_dir_url( CDID_PLUGIN_FILE ) );

/**
 * Load the main class for the core functionality
 */
require_once CDID_PLUGIN_DIR . 'core/class-cdid.php';

/**
 * The main function to load the only instance
 * of our master class.
 *
 * @author  ProiTs FZ LLC
 * @since   1.0.0
 * @return  object|CDID
 */
function CDID() {
	return CDID::instance();
}

CDID();
