<?php

$color_mode = isset($instance['colormode']) && $instance['colormode'] == 'white' ? '-white' : '';
$logo       = CDID_PLUGIN_URL. 'core/includes/assets/images/logo'.$color_mode.'.png';

if($response >= 0){
    $rank_val       = $response > 0 ?  "$response%" : __('NA','CDID');
    $result_title   = __('Your Digital Score is :' ,'CDID');
    $format         = '<span class="cdid-result-title'.$color_mode.'">%s</span> <span class="cdid-result-val'.$color_mode.'">%s</span>';
    $rank_msg       = sprintf($format, $result_title , $rank_val);
}else{
    $result_title   = __('Something went wrong in the connection', 'CDID');
    $format         = '<span class="cdid-result-title'.$color_mode.'">%s</span>';
    $rank_msg       = sprintf($format, $result_title);
}
?>
<style>
    .cdid-rank-msg{
        text-align:center;
        color: red;
        font-weight: bold;
    }
    .cdid-rank-msg a{
        text-decoration : none;
        max-width: 60%;
    }
    .cdid-rank-div{
        border: solid;
        border-color: #196BB3;
        border-width: 4px;
        padding: 6px;
        text-align: center;
        color : red;
    }
    .cdid-rank-div a img{
        max-width: 95%;
    }
    .cdid-result-title{
        color: #6A3893;
    }
    .cdid-result-val{
        color: #02A2D3;
    }

    .cdid-result-title-white{
        color: white;
    }
    .cdid-result-val-white{
        color: white;
    }
</style>

<?= $args['before_widget'] ?>
<div class="cdid-rank-div">
    <a href="<?= $this->CDID_url; ?>"><img src="<?= $logo ?>"></a>
    <p class="cdid-rank-msg">
        <a href="<?= $this->CDID_url; ?>"><?= $rank_msg ?></a>
    </p>

</div>
<?= $args['after_widget']; ?>

